Bug 250100 - net-p2p/retroshare: Fails to build with www/libmicrohttpd 0.9.71 (Mark BROKEN)
Summary: net-p2p/retroshare: Fails to build with www/libmicrohttpd 0.9.71 (Mark BROKEN)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks: 249453
  Show dependency treegraph
 
Reported: 2020-10-04 17:41 UTC by Daniel Engberg
Modified: 2021-07-15 07:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (peter)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2020-10-04 17:41:03 UTC
The port is outdated and doesn't compile with libmicrohttpd, latest release 0.6.5 (2019 Feb).

Archlinux's "fix"
https://aur.archlinux.org/cgit/aur.git/commit/?h=retroshare&id=075356a4f4fb45e6f42b270a681a60daa90291ec
Comment 1 commit-hook freebsd_committer 2020-10-31 08:31:42 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 08:31:11 UTC 2020
New revision: 553747
URL: https://svnweb.freebsd.org/changeset/ports/553747

Log:
  www/libmicrohttpd: Update to 0.9.71

  - mark dependent ports broken, where there was no action from the
    maintainers in due time.

  PR:		249453
  PR:		250101
  PR:		250083
  PR:		250100
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	gaod@hychen.org (maintainer)

Changes:
  head/audio/faust/Makefile
  head/net/libjson-rpc-cpp/Makefile
  head/net-p2p/retroshare/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/libmicrohttpd/distinfo
  head/www/libmicrohttpd/pkg-plist
Comment 2 Azrael 2021-04-20 03:00:55 UTC
The above link is closed and marked as "Affects Only Me", but I seem to have the same issue on FreeBSD 13:

$ cd /usr/ports/net-p2p/retroshare
$ sudo make install clean
===>  retroshare-0.6.4_5 is marked as broken: Doesn't build with libmicrohttpd
0.9.71 - PR: 250100.
*** Error code 1

Stop.
make: stopped in /usr/ports/net-p2p/retroshare 

Unsure if this should be re-opened since its still a problem and affecting more users.
Comment 3 Daniel Engberg freebsd_committer 2021-04-21 03:58:47 UTC
The only reason to open a new PR would be a patch fixing (and updating) retroshare.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-04-21 04:46:19 UTC
^Triage: 

 - Assign to committer that resolved (via mark BROKEN)
 - Update summary to reflect resolution
 - Leave original blocked issue referenced

This issue may be re-opened with a patch addressing/resolving BROKEN
Comment 5 commit-hook freebsd_committer 2021-07-15 07:12:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1e2fe14740d5e5d9902b7f111248a498e11f11e1

commit 1e2fe14740d5e5d9902b7f111248a498e11f11e1
Author:     Alexey Dokuchaev <danfe@FreeBSD.org>
AuthorDate: 2021-07-15 07:09:36 +0000
Commit:     Alexey Dokuchaev <danfe@FreeBSD.org>
CommitDate: 2021-07-15 07:09:45 +0000

    net-p2p/retroshare: optionize and disable WebUI and VoIP to unbreak.

    PR:     250100

 net-p2p/retroshare/Makefile                        | 25 ++++++++++++++++------
 ...tch-retroshare-gui_src_gui_MainWindow.cpp (new) | 12 +++++++++++
 ...are-gui_src_gui_settings_rsettingswin.cpp (new) | 12 +++++++++++
 .../files/patch-retroshare-gui_src_main.cpp (new)  | 12 +++++++++++
 net-p2p/retroshare/pkg-plist                       | 10 ++++-----
 5 files changed, 59 insertions(+), 12 deletions(-)